com.smartgwt.client.widgets.cube

## Class FacetValueMap

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.cube.FacetValueMap

-     public class FacetValueMap
      extends DataClass

  An object mapping `facet ids` to `facetValue ids` within a facet

  The facetId -> facetValueId mappings in a FacetValueMap describe a specific slice of the dataset. If mappings are included for all facets, a FacetValueMap describes a unique cell. If some facets are omitted, it describes a row, column, or set of rectangular areas, or equivalently, a particular row or column header (if all facetIds in the map are displayed on the same axis)

  FacetValueMaps are used in various contexts to describe headers, datasets to be loaded, screen regions, etc.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetValueMap()`
    `FacetValueMap(JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMapping(java.lang.String facetId, java.lang.String facetValueId)` Add a facet id -> facetValue id mapping to this facetValueMap
    `java.lang.String[]` | `getFacetIds()` Returns the array of all facet ids for which this facetValueMap currently contains mapping
    `java.lang.String` | `getMapping(java.lang.String facetId)` Get the facetValue id for some facet id within this facet valueMap
    `static FacetValueMap` | `getOrCreateRef(JavaScriptObject jsObj)`
    `void` | `removeMapping(java.lang.String facetId)` Remove a facet id -> facetValue id mapping from this facetValueMap

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacetValueMap

          public FacetValueMap()

    - #### FacetValueMap

          public FacetValueMap(JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static FacetValueMap getOrCreateRef(JavaScriptObject jsObj)

    - #### addMapping

          public void addMapping(java.lang.String facetId,
                        java.lang.String facetValueId)

      Add a facet id -> facetValue id mapping to this facetValueMap
      Parameters:
        `facetId` -
        `facetValueId` -

    - #### getMapping

          public java.lang.String getMapping(java.lang.String facetId)

      Get the facetValue id for some facet id within this facet valueMap
      Parameters:
        `facetId` -

    - #### removeMapping

          public void removeMapping(java.lang.String facetId)

      Remove a facet id -> facetValue id mapping from this facetValueMap
      Parameters:
        `facetId` -

    - #### getFacetIds

          public java.lang.String[] getFacetIds()

      Returns the array of all facet ids for which this facetValueMap currently contains mapping
      Returns: